ErrorMessages

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.JFlex
Class ErrorMessages

    java.lang.Object
      weka.core.parser.JFlex.ErrorMessages

    public class ErrorMessages

extends java.lang.Object

Central class for all kinds of JFlex messages. [Is not yet used exclusively, but should]

Version:
  JFlex 1.4.1, $Revision: 1.1 $, $Date: 2008-05-09 09:14:11 $
Author:
  Gerwin Klein

Field Summary
`static ErrorMessages` | `ALREADY_RUNNING`
`static ErrorMessages` | `CANNOT_OPEN`
`static ErrorMessages` | `CANNOT_READ_SKEL`
`static ErrorMessages` | `CHARCLASS_MACRO`
`static ErrorMessages` | `CHARSET_2_SMALL`
`static ErrorMessages` | `CS2SMALL_CHAR`
`static ErrorMessages` | `CS2SMALL_STRING`
`static ErrorMessages` | `CUPSYM_AFTER_CUP`
`static ErrorMessages` | `DFA_IS`
`static ErrorMessages` | `DFA_TOOK`
`static ErrorMessages` | `EOF_IN_ACTION`
`static ErrorMessages` | `EOF_IN_COMMENT`
`static ErrorMessages` | `EOF_IN_MACROS`
`static ErrorMessages` | `EOF_IN_REGEXP`
`static ErrorMessages` | `EOF_IN_STATES`
`static ErrorMessages` | `EOF_IN_STRING`
`static ErrorMessages` | `EOF_SINGLERULE`
`static ErrorMessages` | `EOF_WO_ACTION`
`static ErrorMessages` | `EOL_IN_CHARCLASS`
`static ErrorMessages` | `FILE_CYCLE`
`static ErrorMessages` | `FILE_WRITE`
`static ErrorMessages` | `IO_ERROR`
`static ErrorMessages` | `LEXSTATE_UNDECL`
`static ErrorMessages` | `LOOKAHEAD_ERROR`
`static ErrorMessages` | `MACRO_CYCLE`
`static ErrorMessages` | `MACRO_DEF_MISSING`
`static ErrorMessages` | `MACRO_UNDECL`
`static ErrorMessages` | `MIN_DFA_IS`
`static ErrorMessages` | `MIN_TOOK`
`static ErrorMessages` | `NEVER_MATCH`
`static ErrorMessages` | `NFA_IS`
`static ErrorMessages` | `NFA_STATES`
`static ErrorMessages` | `NFA_TOOK`
`static ErrorMessages` | `NO_BUFFER_SIZE`
`static ErrorMessages` | `NO_DIRECTORY`
`static ErrorMessages` | `NO_LAST_ACTION`
`static ErrorMessages` | `NO_LEX_SPEC`
`static ErrorMessages` | `NO_MATCHING_BR`
`static ErrorMessages` | `NO_SKEL_FILE`
`static ErrorMessages` | `NOT_AT_BOL`
`static ErrorMessages` | `NOT_READABLE`
`static ErrorMessages` | `OUT_OF_MEMORY`
`static ErrorMessages` | `PARSING_TOOK`
`static ErrorMessages` | `QUIL_CUPSYM`
`static ErrorMessages` | `QUIL_EOFTHROW`
`static ErrorMessages` | `QUIL_INITTHROW`
`static ErrorMessages` | `QUIL_SCANERROR`
`static ErrorMessages` | `QUIL_THROW`
`static ErrorMessages` | `QUIL_YYLEXTHROW`
`static ErrorMessages` | `READING`
`static ErrorMessages` | `READING_SKEL`
`static ErrorMessages` | `REGEXP_EXPECTED`
`static ErrorMessages` | `REPEAT_GREATER`
`static ErrorMessages` | `REPEAT_ZERO`
`static ErrorMessages` | `SKEL_IO_ERROR`
`static ErrorMessages` | `SKEL_IO_ERROR_DEFAULT`
`static ErrorMessages` | `STATE_IDENT_EXP`
`static ErrorMessages` | `SYNTAX_ERROR`
`static ErrorMessages` | `THIS_IS_JFLEX`
`static ErrorMessages` | `TOTAL_TIME`
`static ErrorMessages` | `UNEXPECTED_CHAR`
`static ErrorMessages` | `UNEXPECTED_EOF`
`static ErrorMessages` | `UNEXPECTED_NL`
`static ErrorMessages` | `UNKNOWN_COMMANDLINE`
`static ErrorMessages` | `UNKNOWN_OPTION`
`static ErrorMessages` | `UNKNOWN_SYNTAX`
`static ErrorMessages` | `UNTERMINATED_STR`
`static ErrorMessages` | `WRITE_TOOK`
`static ErrorMessages` | `WRONG_SKELETON`
`static ErrorMessages` | `ZERO_STATES`

Method Summary
`static java.lang.String` | `get(ErrorMessages msg)`
`static java.lang.String` | `get(ErrorMessages msg, int data)`
`static java.lang.String` | `get(ErrorMessages msg, java.lang.String data)`
`static java.lang.String` | `get(ErrorMessages msg, java.lang.String data1, java.lang.String data2)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNTERMINATED_STR

    public static ErrorMessages UNTERMINATED_STR

### EOF_WO_ACTION

    public static ErrorMessages EOF_WO_ACTION

### EOF_SINGLERULE

    public static ErrorMessages EOF_SINGLERULE

### UNKNOWN_OPTION

    public static ErrorMessages UNKNOWN_OPTION

### UNEXPECTED_CHAR

    public static ErrorMessages UNEXPECTED_CHAR

### UNEXPECTED_NL

    public static ErrorMessages UNEXPECTED_NL

### LEXSTATE_UNDECL

    public static ErrorMessages LEXSTATE_UNDECL

### STATE_IDENT_EXP

    public static ErrorMessages STATE_IDENT_EXP

### REPEAT_ZERO

    public static ErrorMessages REPEAT_ZERO

### REPEAT_GREATER

    public static ErrorMessages REPEAT_GREATER

### REGEXP_EXPECTED

    public static ErrorMessages REGEXP_EXPECTED

### MACRO_UNDECL

    public static ErrorMessages MACRO_UNDECL

### CHARSET_2_SMALL

    public static ErrorMessages CHARSET_2_SMALL

### CS2SMALL_STRING

    public static ErrorMessages CS2SMALL_STRING

### CS2SMALL_CHAR

    public static ErrorMessages CS2SMALL_CHAR

### CHARCLASS_MACRO

    public static ErrorMessages CHARCLASS_MACRO

### UNKNOWN_SYNTAX

    public static ErrorMessages UNKNOWN_SYNTAX

### SYNTAX_ERROR

    public static ErrorMessages SYNTAX_ERROR

### NOT_AT_BOL

    public static ErrorMessages NOT_AT_BOL

### NO_MATCHING_BR

    public static ErrorMessages NO_MATCHING_BR

### EOF_IN_ACTION

    public static ErrorMessages EOF_IN_ACTION

### EOF_IN_COMMENT

    public static ErrorMessages EOF_IN_COMMENT

### EOF_IN_STRING

    public static ErrorMessages EOF_IN_STRING

### EOF_IN_MACROS

    public static ErrorMessages EOF_IN_MACROS

### EOF_IN_STATES

    public static ErrorMessages EOF_IN_STATES

### EOF_IN_REGEXP

    public static ErrorMessages EOF_IN_REGEXP

### UNEXPECTED_EOF

    public static ErrorMessages UNEXPECTED_EOF

### NO_LEX_SPEC

    public static ErrorMessages NO_LEX_SPEC

### NO_LAST_ACTION

    public static ErrorMessages NO_LAST_ACTION

### LOOKAHEAD_ERROR

    public static ErrorMessages LOOKAHEAD_ERROR

### NO_DIRECTORY

    public static ErrorMessages NO_DIRECTORY

### NO_SKEL_FILE

    public static ErrorMessages NO_SKEL_FILE

### WRONG_SKELETON

    public static ErrorMessages WRONG_SKELETON

### OUT_OF_MEMORY

    public static ErrorMessages OUT_OF_MEMORY

### QUIL_INITTHROW

    public static ErrorMessages QUIL_INITTHROW

### QUIL_EOFTHROW

    public static ErrorMessages QUIL_EOFTHROW

### QUIL_YYLEXTHROW

    public static ErrorMessages QUIL_YYLEXTHROW

### ZERO_STATES

    public static ErrorMessages ZERO_STATES

### NO_BUFFER_SIZE

    public static ErrorMessages NO_BUFFER_SIZE

### NOT_READABLE

    public static ErrorMessages NOT_READABLE

### FILE_CYCLE

    public static ErrorMessages FILE_CYCLE

### FILE_WRITE

    public static ErrorMessages FILE_WRITE

### QUIL_SCANERROR

    public static ErrorMessages QUIL_SCANERROR

### NEVER_MATCH

    public static ErrorMessages NEVER_MATCH

### QUIL_THROW

    public static ErrorMessages QUIL_THROW

### EOL_IN_CHARCLASS

    public static ErrorMessages EOL_IN_CHARCLASS

### QUIL_CUPSYM

    public static ErrorMessages QUIL_CUPSYM

### CUPSYM_AFTER_CUP

    public static ErrorMessages CUPSYM_AFTER_CUP

### ALREADY_RUNNING

    public static ErrorMessages ALREADY_RUNNING

### CANNOT_READ_SKEL

    public static ErrorMessages CANNOT_READ_SKEL

### READING_SKEL

    public static ErrorMessages READING_SKEL

### SKEL_IO_ERROR

    public static ErrorMessages SKEL_IO_ERROR

### SKEL_IO_ERROR_DEFAULT

    public static ErrorMessages SKEL_IO_ERROR_DEFAULT

### READING

    public static ErrorMessages READING

### CANNOT_OPEN

    public static ErrorMessages CANNOT_OPEN

### NFA_IS

    public static ErrorMessages NFA_IS

### NFA_STATES

    public static ErrorMessages NFA_STATES

### DFA_TOOK

    public static ErrorMessages DFA_TOOK

### DFA_IS

    public static ErrorMessages DFA_IS

### MIN_TOOK

    public static ErrorMessages MIN_TOOK

### MIN_DFA_IS

    public static ErrorMessages MIN_DFA_IS

### WRITE_TOOK

    public static ErrorMessages WRITE_TOOK

### TOTAL_TIME

    public static ErrorMessages TOTAL_TIME

### IO_ERROR

    public static ErrorMessages IO_ERROR

### THIS_IS_JFLEX

    public static ErrorMessages THIS_IS_JFLEX

### UNKNOWN_COMMANDLINE

    public static ErrorMessages UNKNOWN_COMMANDLINE

### MACRO_CYCLE

    public static ErrorMessages MACRO_CYCLE

### MACRO_DEF_MISSING

    public static ErrorMessages MACRO_DEF_MISSING

### PARSING_TOOK

    public static ErrorMessages PARSING_TOOK

### NFA_TOOK

    public static ErrorMessages NFA_TOOK

Method Detail

### get

    public static java.lang.String get(ErrorMessages msg)

### get

    public static java.lang.String get(ErrorMessages msg,
                                       java.lang.String data)

### get

    public static java.lang.String get(ErrorMessages msg,
                                       java.lang.String data1,
                                       java.lang.String data2)

### get

    public static java.lang.String get(ErrorMessages msg,
                                       int data)

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD